<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* https://tcd-theme.com/2023/12/wp-disable-emoji.html */
/* フロント側 */
function haup_remove_emoji_in_front(){
// インラインスクリプトの読み込みを無効化
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );

// インラインスタイルの読み込みを無効化
	remove_action( 'wp_print_styles', 'print_emoji_styles' );

// インラインスタイルの読み込みを無効化（6.4以降対策）
	if ( function_exists( 'wp_enqueue_emoji_styles' ) ) {
		remove_action( 'wp_enqueue_scripts', 'wp_enqueue_emoji_styles' );
	}
}
add_action( 'init', 'haup_remove_emoji_in_front');

/* 管理画面側 */
function haup_remove_emoji_in_admin(){
// インラインスクリプトの読み込みを無効化
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );

// インラインスタイルの読み込みを無効化
	remove_action( 'admin_print_styles', 'print_emoji_styles' );

// WordPress 6.4以降向け対策
	if ( function_exists( 'wp_enqueue_emoji_styles' ) ) {
		remove_action( 'admin_enqueue_scripts', 'wp_enqueue_emoji_styles' );
	}
}
add_action( 'admin_init', 'haup_remove_emoji_in_admin');